/* Wrappers */
.accessContainer .accessMessage {
  padding-bottom: 0;
}
.eme-container.eme-hide {
  display: none;
  visibility: hidden;
}
.eme-container {
  background: var(--palegrey);
  display: block;
  position: relative;
  width: 100vw;
}
#eme-fixed-banner .eme-container {
  bottom: 0;
  height: auto;
  position: fixed;
  box-shadow: 0-5px 10px -10px rgba(0, 0, 0, 0.75);
  z-index: 999999;
}
#eme-access-denied .eme-container {
  box-shadow: 0-5px 10px -10px rgba(0, 0, 0, 0.75);
}
.eme-expand-fullwidth .eme-container {
  left: 50%;
  right: 50%;
  margin-left: -50vw;
  margin-right: -50vw;
}
.eme-sleeve {
  height: 100%;
  margin-left: auto;
  margin-right: auto;
  max-width: 1220px;
  padding: 1rem;
  position: relative;
}
.eme-container .eme-content,
.eme-container .eme-footer {
  display: flex;
  flex-direction: column;
  max-width: 500px;
  gap: 1rem;
}
#eme-fixed-banner .eme-container .eme-offers {
  max-height: calc(30vh);
  overflow-y: scroll;
}
.eme-container .eme-offers::-webkit-scrollbar {
  width: 0;
  background: transparent;
}
/* Messages */
.eme-content h2 {
  font-family: var(--serif);
  font-weight: 600;
  font-size: 1.6rem;
  line-height: 2.2rem;
  letter-spacing: 0.05rem;
  border-bottom: none;
  margin-bottom: 1rem;
  padding-right: 2rem;
  text-wrap: balance;
}
.eme-content p {
  font-family: var(--sans-serif);
  font-size: 1rem;
  line-height: 1.6rem;
  text-wrap: balance;
  margin: 0;
}
.eme-content p + p {
  margin-top: 1rem;
}
.eme-content .eme-banner-long-msg {
  display: none;
  visibility: hidden;
}
/* Offer panels */
.eme-content .eme-offers {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}
.eme-panel {
  display: block;
  outline: 1px solid var(--black);
  outline-offset: -1px;
  border-radius: 0.25rem;
  background: #fff;
  cursor: pointer;
  padding: 1rem;
  transition: border-color 0.3s ease;
  font-family: var(--sans-serif);
  font-size: 0.9rem;
  line-height: 1.4rem;
  box-sizing: border-box;
}
.eme-panel:hover {
  outline-color: var(--hoverblue);
  outline-width: 2px;
  outline-offset: -2px;
}
.eme-panel-header {
  display: flex;
  align-items: center;
}
.eme-panel-header .eme-panel-radio {
  flex: 0 0 auto;
  cursor: pointer;
  box-sizing: border-box;
  display: inline-block;
  width: 1.25rem;
  height: 1.25rem;
  margin: 0px 8px 0px 0px;
  border: 1px solid #222;
  border-radius: 50%;
  position: relative;
  transition: box-shadow 0.2s cubic-bezier(0.64, 0.57, 0.67, 1.53) 0.08s;
}
.eme-panel-header .eme-panel-radio::after {
  background: var(--hoverblue);
  position: absolute;
  content: "";
  inset: 0px;
  border-radius: 50%;
  transform: scale(0);
  transform-origin: center center;
  transition: transform 0.2s cubic-bezier(0.64, 0.57, 0.67, 1.53);
}
.eme-panel:hover .eme-panel-radio {
  border-color: var(--hoverblue);
  border-width: 2px;
}
.eme-panel-content {
  max-height: 0;
  overflow: hidden;
  transition: max-height;
}
.eme-panel-content ul {
  padding-left: 1.5rem;
  margin: 0;
  list-style: none;
}
.eme-panel-content ul li {
  font-size: 0.9rem;
  line-height: 1.4rem;
  margin: 0.25rem 0 0 0;
  display: flex;
  align-items: flex-start;
}
.eme-panel-content ul li svg {
  flex-shrink: 0;
  margin-right: 0.5rem;
  fill: var(--hoverblue);
}
/* Radios */
.eme-offers input[name="product"] {
  position: absolute;
  opacity: 0;
}
.eme-offers input[name="product"]:checked + label .eme-panel-radio {
  border-color: var(--hoverblue);
  border-width: 2px;
}
.eme-offers input[name="product"]:checked + label .eme-panel-radio::after {
  transform: scale(0.6);
  background: var(--hoverblue);
}
.eme-offers input[name="product"]:checked + label .eme-panel-content {
  max-height: 500px;
}
.eme-offers input[name="product"]:checked + label.eme-panel {
  background: var(--selectblue);
  outline-color: var(--hoverblue);
  outline-width: 2px;
  outline-offset: -2px;
}
.eme-offers input[name="product"]:checked + label .eme-panel-title {
  font-weight: bold;
}
/* Button */
.eme-offer-button {
  font-family: var(--sans-serif);
  align-items: center;
  background-color: var(--interactyellow);
  border-radius: 0.25rem;
  color: #222;
  display: inline-flex;
  height: 2.5rem;
  justify-content: center;
  padding: 0.5rem;
  text-transform: uppercase;
  text-decoration: none;
  width: 100%;
  font-weight: 600;
}
a.eme-offer-button:active,
a.eme-offer-button:hover {
  background-color: var(--hoveryellow);
  font-weight: 600;
}
a.eme-offer-button:link,
a.eme-offer-button:visited {
  color: #222;
}
/* Footer */
.eme-container .eme-footer {
  margin-top: 1rem;
}
.eme-container .eme-footer p {
  font-family: var(--sans-serif);
  font-size: 0.9rem;
  line-height: 1.5rem;
  text-wrap: balance;
  margin: 0;
}
.eme-container .eme-footer {
  width: 100%;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  gap: 1rem;
  margin-top: 1rem;
}
.eme-container .eme-footer > div:nth-of-type(1) {
  order: 2;
}
.eme-container .eme-footer > div:nth-of-type(2) {
  order: 1;
}
/* Close */
#eme-fixed-banner .eme-close {
  position: absolute;
  right: 10px;
  top: 1rem;
  height: 2.5rem;
  width: 2.5rem;
  cursor: pointer;
  border: 1px solid #000;
  border-radius: 50%;
  padding: 0.25rem;
  background: #fff;
}
#eme-fixed-banner .eme-close:hover {
  background-color: #fff;
}
#eme-fixed-banner .eme-close svg {
  pointer-events: none;
}
/* Remind */
.eme-remind a {
  color: var(--interactblue);
  text-decoration: underline;
  cursor: pointer;
  display: inline-flex;
}
.eme-remind {
  padding-left: 0;
  display: inline;
}
.eme-remind a:hover {
  color: var(--hoverblue);
}
@media screen and (min-width: 768px) {
  .eme-content h2 {
    font-size: 2rem;
    line-height: 2.6rem;
  }
  #eme-fixed-banner .eme-close {
    right: 20px;
  }
}
@media screen and (min-width: 1024px) {
  #eme-fixed-banner .eme-container .eme-offers {
    max-height: unset;
  }
  .eme-content h2 {
    font-size: 3rem;
    line-height: 3.6rem;
  }
  .eme-container .eme-content,
  .eme-container .eme-footer {
    flex-direction: row;
    max-width: 100%;
    gap: 2rem;
  }
  .eme-content .eme-message,
  .eme-container .eme-footer > div:nth-of-type(1) {
    flex-basis: 50%;
    order: 1;
  }
  .eme-content .eme-offers,
  .eme-container .eme-footer > div:nth-of-type(2) {
    flex-basis: calc(50% - 2rem);
    order: 2;
    padding-right: 4rem;
  }
  .eme-content .eme-banner-long-msg {
    display: inline-block;
    visibility: visible;
  }
}

/* WVC Core overrides */
.accessContainer .accessMessage .middleBlock ol,
.accessContainer .accessMessage .middleBlock ul {
  margin-bottom: 0px;
  padding-left: 1.5rem !important;
}
.accessContainer .accessMessage .middleBlock ol li,
.accessContainer .accessMessage .middleBlock ul li {
   font-family: inherit;
   line-height: 1.4rem;
}